## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate gsk4

Name:           rust-%{crate}
Version:        0.2.0
Release:        %autorelease
Summary:        Rust bindings of the GSK 4 library

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/gsk4
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Rust bindings of the GSK 4 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE COPYRIGHT
%doc README.md src/auto/versions.txt
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+broadway-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+broadway-devel %{_description}

This package contains library source intended for building other packages
which use "broadway" feature of "%{crate}" crate.

%files       -n %{name}+broadway-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+dox-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dox-devel %{_description}

This package contains library source intended for building other packages
which use "dox" feature of "%{crate}" crate.

%files       -n %{name}+dox-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v4_2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v4_2-devel %{_description}

This package contains library source intended for building other packages
which use "v4_2" feature of "%{crate}" crate.

%files       -n %{name}+v4_2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+vulkan-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vulkan-devel %{_description}

This package contains library source intended for building other packages
which use "vulkan" feature of "%{crate}" crate.

%files       -n %{name}+vulkan-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo "pkgconfig(graphene-gobject-1.0) >= 1.10"
echo "pkgconfig(gtk4) >= 4.0.0"

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Aug 09 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.2.0-1
- Initial import; Fixes RHBZ#1977118
